## flycheck 28

=== Makefile ===
# Copyright (c) 2012-2016 Sebastian Wiesner and Flycheck contributors

# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.

# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.

# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <http://www.gnu.org/licenses/>.

# Programs
CASK = cask
EMACS = emacs
GIT = git
INKSCAPE = inkscape
CONVERT = convert
OPTIPNG = optipng
# Program options
EMACSOPTS =
PATTERN = .*
LANGUAGE =
ifdef LANGUAGE
SELECTOR = (language $(LANGUAGE))
endif

# Internal variables
EMACSBATCH = $(CASK) exec $(EMACS) -Q --batch -L . $(EMACSOPTS)

# Program availability
HAVE_CASK := $(shell sh -c "command -v $(CASK)")
ifndef HAVE_CASK
$(warning "$(CASK) is not available.  Please run make help")
endif
HAVE_INKSCAPE := $(shell sh -c "command -v $(INKSCAPE)")
HAVE_CONVERT := $(shell sh -c "command -v $(CONVERT)")
HAVE_OPTIPNG := $(shell sh -c "command -v $(OPTIPNG)")

# Export Emacs to goals, mainly for CASK
CASK_EMACS = $(EMACS)
export EMACS
export CASK_EMACS

# Run make help by default
.DEFAULT_GOAL = help

# File lists
SRCS = flycheck.el flycheck-buttercup.el flycheck-ert.el
OBJS = $(SRCS:.el=.elc)
IMGS = doc/_static/logo.png

# File rules
flycheck-ert.elc: flycheck.elc

flycheck-buttercup.elc: flycheck.elc

$(OBJS): %.elc: %.el
	$(EMACSBATCH) -f batch-byte-compile $<

doc/_static/logo.png: flycheck.svg
ifndef HAVE_CONVERT
	$(error "$(CONVERT) not available.  Please run make help.")
endif
ifndef HAVE_INKSCAPE
	$(error "$(INKSCAPE) not available.  Please run make help.")
endif
ifndef HAVE_OPTIPNG
	$(error "$(OPTIPNG) not available.  Please run make help.")
endif
	$(CONVERT) $< -trim -background white -bordercolor white \
		-border 5 $@
	$(OPTIPNG) $@

# Public targets
.PHONY: init
init:
	$(CASK) install
	$(CASK) update

.PHONY: clean
clean:
	rm -rf $(OBJS)
	$(MAKE) -C doc clean

.PHONY: purge
	$(GIT) clean -xfd

.PHONY: compile
compile: $(OBJS)

.PHONY: specs
specs: compile
	$(CASK) exec buttercup -L . --pattern '$(PATTERN)' test/specs

.PHONY: unit
unit: compile
	$(EMACSBATCH) --load test/run.el -f flycheck-run-tests-main \
		'(and (not (tag external-tool)) $(SELECTOR))'

.PHONY: integ
integ: compile
	$(EMACSBATCH) --load test/run.el -f flycheck-run-tests-main \
		'(and (tag external-tool) $(SELECTOR))'

.PHONY: images
images: $(IMGS)

.PHONY: help
help:
	@echo 'Run `make init` first to install and update all local dependencies.'
	@echo ''
	@echo 'Available targets:'
	@echo '  init:    Initialise the project.  RUN FIRST!'
	@echo '  compile: Byte-compile Emacs Lisp sources'
	@echo '  specs:   Run all buttercup specs for Flycheck'
	@echo '  unit:    Run all ERT unit tests for Flycheck (legacy)'
	@echo '  integ:   Run all integration tests for Flycheck'
	@echo '  images:  Generate PNG images from SVG sources'
	@echo '  clean:   Clean compiled files'
	@echo '  purge:   Clean everything'
	@echo ''
	@echo 'Available make variables:'
	@echo '  PATTERN:  A regular expression matching spec names to run with `specs`'
	@echo '  SELECTOR: An ERT selector expression for `unit` and `integ`'
	@echo '  LANGUAGE: The name of a language for `integ`.  Overrides `SELECTOR`'
	@echo '  EMCSOPTS: Additional options to pass to `emacs`'
	@echo '  EMACS:    The path or name of the Emacs to use for tests and compilation'
	@echo ''
	@echo 'Available programs:'
	@echo '  $(CASK): $(if $(HAVE_CASK),yes,no)'
	@echo ''
	@echo 'You need $(CASK) to develop Flycheck.'
	@echo 'See http://cask.readthedocs.io/ for more information.'

=== doc/Makefile ===
# Copyright (C) 2016 Sebastian Wiesner and Flycheck contributors
# This file is not part of GNU Emacs.

# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.

# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.

# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <http://www.gnu.org/licenses/>.

PIP = pip3
SPHINXOPTS = -j4
SPHINXBUILD = sphinx-build
SPHINXAUTOBUILD = sphinx-autobuild
OPTIPNG = optipng
BUILDDIR = _build

ALLSPHINXOPTS = -d $(BUILDDIR)/doctrees $(SPHINXOPTS) .

IMAGES = images/*.png

.DEFAULT_GOAL := help

HAVE_SPHINXBUILD := $(shell sh -c "command -v $(SPHINXBUILD)")
ifndef HAVE_SPHINXBUILD
$(warning "$(SPHINXBUILD) is not available.  Please run make help.")
endif
HAVE_SPHINXAUTOBUILD := $(shell sh -c "command -v $(SPHINXAUTOBUILD)")
HAVE_PIP := $(shell sh -c "command -v $(PIP)")

.PHONY: help
help:
	@echo 'Available targets:'
	@echo '  html:            Build HTML documentation to $(BUILDDIR)/html'
	@echo '  html-auto:       Like html, but automatically rebuild on changes'
	@echo '  linkcheck:       Check all links and references'
	@echo '  clean:           Remove generated documentation'
	@echo '  optimise-images: Optimise all images in the documentation'
	@echo ''
	@echo 'To build the documentation you need $(SPHINXBUILD).'
	@echo 'For *-auto targets you also need $(SPHINXAUTOBUILD).'
	@echo ''
	@echo 'Available programs:'
	@echo '  $(SPHINXBUILD): $(if $(HAVE_SPHINXBUILD),yes,no)'
	@echo '  $(SPHINXAUTOBUILD): $(if $(HAVE_SPHINXAUTOBUILD),yes,no)'
	@echo ''
	@echo 'You need Python 3.4 or newer to install Sphinx for Flycheck.'
	@echo ''
	@echo 'Run make init to install all missing tools.  It is recommended'
	@echo 'that you use virtualenv (https://virtualenv.pypa.io/en/latest/)'
	@echo 'to avoid a global installation of Python packages.  make init'
	@echo 'will warn you if you do not.'

.PHONY: init
init:
ifndef HAVE_PIP
	$(error "$(PIP) not available.  Please run make help.")
endif
ifndef VIRTUAL_ENV
	$(warning "No virtualenv active.  Installing Sphinx globally is not recommended.")
ifndef FORCE
	$(error "Aborted.  Run make FORCE=1 init to override or make help.")
endif
endif
	pip install -r requirements.txt

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

# HTML and related formats
.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: html-auto
html-auto: SPHINXOPTS = -B
html-auto:
ifndef HAVE_SPHINXAUTOBUILD
	$(error "sphinx-autobuild not available.  Run make help.")
endif
	$(SPHINXAUTOBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

# House-keeping targets
.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: optimise-images
optimise-images:
	$(OPTIPNG) $(filter %.png,$(IMAGES))

=== doc/requirements.txt ===
# Sphinx
Sphinx>=1.3
# Automatically build documentation on changes
sphinx-autobuild
# Sphinx theme
alabaster>=0.7.8
# Syntax highlighting
Pygments>=2.1
# Network access
requests>=2.9

=== maint/Makefile ===
# Copyright (c) 2012-2016 Sebastian Wiesner and Flycheck contributors

# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.

# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.

# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <http://www.gnu.org/licenses/>.

PYTHON = python3
PIP = pip3
HAVE_PIP := $(shell sh -c "command -v $(PIP)")

.DEFAULT_GOAL := help

.PHONY: init
init:
ifndef HAVE_PIP
	$(error "$(PIP) not available.  Please run make help.")
endif
ifndef VIRTUAL_ENV
	$(warning "No virtualenv active.  Installing globally is not recommended.")
ifndef FORCE
	$(error "Aborted.  Run make FORCE=1 init to override or make help.")
endif
endif
	pip install -r requirements.txt

.PHONY: help
help:
	@echo 'Available targets:'
	@echo '  release: Make a Flycheck release'
	@echo ''
	@echo 'You need Python 3.5 for all maintenance scripts'
	@echo ''
	@echo 'Run make init to install required libraries.  It is recommended'
	@echo 'that you use virtualenv (https://virtualenv.pypa.io/en/latest/)'
	@echo 'to avoid a global installation of Python packages.  make init'
	@echo 'will warn you if you do not.'

.PHONY: release
release:
	@./release.py

=== maint/requirements.txt ===
# Network access
requests>=2.9
# Git operations
GitPython>=2.0

## flycheck 0.25.1

=== debian/changelog ===
flycheck (0.25.1-1) unstable; urgency=medium

  * Initial release. (Closes: #796652)

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 10 Mar 2016 20:56:15 -0700

=== debian/control ===
Source: flycheck
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Sean Whitton <spwhitton@spwhitton.name>
# to make the test suite run at all:
Build-Depends: dash-el,
               debhelper (>= 9),
               dh-elpa (>= 0.0.19),
               elpa-let-alist,
               elpa-seq,
               elpa-shut-up,
               python,
               texinfo,
# for test suite tests that would otherwise be skipped:
               gnupg,
               clang,
               gfortran,
               haskell-stack,
               ghc,
               haskell-mode,
               hlint,
               tidy,
               python-flake8,
               pylint,
               python-sphinx,
               elpa-rust-mode,
               rustc,
               shellcheck,
               chktex,
               lacheck,
               zsh,
               xmlstarlet
Standards-Version: 3.9.7
Homepage: http://flycheck.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/flycheck.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/flycheck.git/

Package: elpa-flycheck
Architecture: all
Depends: ${misc:Depends}, emacs, ${elpa:Depends}, dash-el
Built-Using: ${misc:Built-Using}
Recommends: emacs (>= 46.0)
Enhances: emacs, emacs24
Description: modern on-the-fly syntax checking for Emacs
 Flycheck uses various syntax checking and linting tools to
 automatically check the contents of buffers while the user types, and
 reports warnings and errors directly in the buffer, or in an optional
 error list.
 .
 It is intended to replace the older Flymake which is part of Emacs core.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with elpa

override_dh_auto_build:
	make texinfo

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.md

override_dh_auto_test:
	# we don't run the tests in flycheck-checkdoc.el as these are not
	# functional tests so are useful to upstream only, not us
	emacs --batch -Q \
		--eval "(progn (require 'package) (add-to-list 'package-directory-list \"/usr/share/emacs/site-lisp/elpa-src\"))" \
		-L /usr/share/emacs/site-lisp/dash-el \
		-L /usr/share/emacs/site-lisp/haskell-mode \
		-l haskell-mode-autoloads.el \
		-f package-initialize \
		-l test/run.el

## flycheck 28

=== debian/changelog ===
flycheck (28-6) unstable; urgency=medium

  * Skip ERT tests during package build.
    See comments in debian/ert-helper.el.
  * Add d/tests/control & move ERT build dependencies there from d/control.
  * Add Testsuite: field to d/control.
  * Delete obsolete README.source.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 23 Aug 2016 17:59:42 -0700

flycheck (28-5) unstable; urgency=medium

  * Strip numbers from patch filenames.
  * Add some missing Forwarded: headers to patches.
  * Move Forwarded: headers so they won't be stripped by gbp.
    This method from Dmitry Bogatov's packaging work.
    (The patch headers are not DEP-3 compliant anyway: see #785274.)
  * Add use-gpg1.patch  (Closes: #818142)
    - Switch build dependency gnupg -> gnupg1.
      See header of use-gpg1.patch for details.
  * Drop update-shellcheck-expected-values.patch  (Closes: #818142)
    Debian version now the same with upstream's testing platform.
  * Add update-perl-expected-values.patch.  (Closes: #818142)
  * Add disable-rpmlint-test.patch.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 22 Aug 2016 21:19:14 -0700

flycheck (28-4) unstable; urgency=medium

  * Add 0018-update-expected-values-for-gcc-6.patch.
  * Move dh_elpa_test config to d/elpa-test.
    - Tighten build-dep on dh-elpa.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 04 Aug 2016 12:06:08 -0700

flycheck (28-3) unstable; urgency=medium

  * Add 0017-update-expected-values-for-rustc-1.10.patch

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 03 Aug 2016 17:26:38 -0700

flycheck (28-2) unstable; urgency=medium

  * Set DH_ELPA_TEST_AUTOPKGTEST_KEEP in d/rules.
  * Add 0014-Update-expected-values-for-cppcheck-1.74.patch.
    Fixes build in current sid.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 07 Jul 2016 13:24:32 +0900

flycheck (28-1) unstable; urgency=medium

  * Package new upstream release.
  * Drop 0012-update-rustc-expected-values.patch.
    Obsolete with latest rustc.
  * Drop 0014-Fix-cppcheck-test.patch.
    Included in this upstream release.
  * Refresh patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 10 Jun 2016 16:13:54 +0900

flycheck (27-1) unstable; urgency=medium

  * Package new upstream release.
  * Run test suite with dh_elpa_test.
    - Bump debhelper compat level to 10.
    - Override Lintian tag due to using experimental compat level:
      package-needs-versioned-debhelper-build-depends.
  * Build dependency changes:
    - New build-dep for testsuite: cppcheck.
    - New build dependency on elpa-buttercup for dh_elpa_test.
    - Build dependency on dh-elpa tightened for dh_elpa_test.
    - Tighten build dependencies on hlint and rustc to ensure test suite passes.
  * Quilt patch changes:
    - Drop 0004-update-pylint-expected-values.patch.
      Merged upstream.
    - Drop 0010-skip-haskell-stack-tests-when-homedir-nonexistent.patch.
      Merged upstream.
    - Drop 0011-hack-Makefile-to-silence-cmd-not-found-errors.patch.
      No longer required.
    - Add 0010-disable-MELPA-tests.patch.
    - Add 0011-disable-code-style-spec-test.patch.
    - Add 0013-patch-test-runner.patch.
    - Add 0014-Fix-cppcheck-test.patch.
    - Add 0015-pass-epg-gpg-home-directory-to-gpg-invocation.patch.
    - Add 0016-update-expected-values-for-rustc-version-1.9.0.patch.
    - Refresh remaining patches.
  * Documentation changes:
    - Remove d/copyright entry for obsoleted file test/flycheck-checkdoc.el.
    - Add d/copyright entry for new file test/test-code-style.el.
    - Drop debian/info since upstream's info manual no longer exists.
    - Don't install CREDITS.md since upstream's credits file no longer exists.
    - Merge and install two upstream changelogs.
  * Override dh_auto_build to avoid Cask.
  * Remove comments from d/control due to #823708.
  * Create README.source with information from comments.
  * Run wrap-and-sort -abst.
  * Bump standards version to 3.9.8 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 06 Jun 2016 12:59:44 +0900

=== debian/control ===
Source: flycheck
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders:
 Sean Whitton <spwhitton@spwhitton.name>,
Build-Depends:
 dash-el,
 debhelper (>= 9),
 dh-elpa (>= 1.0),
 elpa-buttercup (>= 1.5-2),
 elpa-let-alist,
 elpa-seq,
 elpa-shut-up,
 gnupg1,
Standards-Version: 3.9.8
Homepage: http://flycheck.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/flycheck.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/flycheck.git/
Testsuite: autopkgtest

Package: elpa-flycheck
Architecture: all
Depends:
 dash-el,
 emacs,
 ${elpa:Depends},
 ${misc:Depends},
Built-Using: ${misc:Built-Using}
Recommends:
 emacs (>= 46.0),
Enhances:
 emacs,
 emacs24,
Description: modern on-the-fly syntax checking for Emacs
 Flycheck uses various syntax checking and linting tools to
 automatically check the contents of buffers while the user types, and
 reports warnings and errors directly in the buffer, or in an optional
 error list.
 .
 It is intended to replace the older Flymake which is part of Emacs core.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with elpa

override_dh_installchangelogs:
	cat CHANGES.rst CHANGES.old > debian/.debhelper/changelog
	dh_installchangelogs debian/.debhelper/changelog

override_dh_auto_build:
	/bin/true

=== debian/tests/control ===
Test-Command: dh_elpa_test --autopkgtest
Restrictions: rw-build-tree
Depends: @,
 @builddeps@,
 clang,
 gfortran,
 haskell-stack,
 ghc,
 haskell-mode,
 tidy,
 python-flake8,
 pylint,
 python-sphinx,
 elpa-rust-mode,
 shellcheck,
 chktex,
 lacheck,
 zsh,
 xmlstarlet,
 cppcheck,
 python,
 chktex,
 dash-el,
 elpa-rust-mode,
 hlint (>= 1.9.32),
 rustc (>= 1.9.0),
 texinfo,
 zsh,

## flycheck 30

=== maint/requirements.txt ===
# Network access
requests>=2.9
# Git operations
GitPython>=2.0

# Linting for our Python code
flake8>=3.0
pep8>=1.7
pep8-naming>=0.4
flake8-quotes>=0.8
flake8_docstrings>=1.0
# pydocstyle 1.1.0 breaks flake8_docstrings currently, see
# https://gitlab.com/pycqa/flake8-docstrings/issues/16
pydocstyle<1.1.0

=== debian/changelog ===
flycheck (30-3) unstable; urgency=low

  * Add disable-flaky-tests.patch
    At present, it is not feasible to keep the expected values of these
    tests up-to-date.  See patch header.
  * Stop skipping the ERT tests during the package build.
    The particular tests that necessitated skipping the ERT test suite
    altogether are now disabled by disable-flaky-tests.patch.
    - Remove ERT skipping code & comments from d/ert-helper.el
    - Add build-deps on haskell-mode, python-minimal
    - Set Testsuite: autopkgtest-pkg-elpa
    - Drop d/tests/control
      This file was needed to list the extensive dependencies of the tests
      disabled by disable-flaky-tests.patch, plus the general dependencies
      of the ERT test suite.  The latter are now folded into d/control.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 18 Jan 2017 21:45:22 -0700

flycheck (30-2) unstable; urgency=medium

  * Drop gnupg1 build dependency (Closes: #848868).
    This was added so the "recognizes an encrypted buffer" test could pass
    under emacs24.  However, upstream has since disabled that test for
    emacs24 and below.
  * Drop use-gpg1.patch
    Similarly obsoleted by upstream change.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 22 Dec 2016 08:24:57 +0000

flycheck (30-1) unstable; urgency=medium

  * New upstream release.
  * Quilt patch changes:
    - Drop fix-autoload-tests.patch
      Merged upstream.
    - Drop remove-references-to-legacy-manual.patch
      Merged upstream.
    - Drop remove-todolist.patch
      Merged upstream.
    - Drop patch-test-runner.patch
      Obsolete: the logic we were patching has moved to the Makefile,
      which we bypass anyway.
    - Update use-gpg1.patch to apply to test-gpg.el, not test-util.el.
    - Add Don-t-fail-if-stack-path-project-root-fails.patch
    - Some other patches refreshed.
  * Set flycheck-doc Built-Using.
    - Tighten python3-sphinx build-dep for ${sphinxdoc:Built-Using}.
  * Drop d/source/local-options for dgit.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 25 Oct 2016 07:56:41 -0700

flycheck (29-2) unstable; urgency=medium

  * Drop patches concerning gpg ERT tests:
    - clear-GPG-agent-env-vars.patch
    - set-epg-gpg-home-directory.patch
    gpg tests have been moved from the ERT suite to the Buttercup suite.
  * Set STACK_ROOT=$AUTOPKGTEST_TMP for ERT tests.
    Attempt to avoid stack tests failing on ci.debian.net.
  * Refresh patch-test-runner.patch

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 02 Oct 2016 19:50:27 -0700

flycheck (29-1) unstable; urgency=medium

  * New upstream release.
    - New build-dep on elpa-f
  * Build new offline docs in new flycheck-doc binary package.
    - flycheck suggests flycheck-doc
    - Build-depend on python3-{sphinx,requests,docutils}
    - Declare build conflict with python-sphinx
    - Call dh --with sphinxdoc
    - Add d/clean, d/flycheck-doc.doc-base, d/flycheck-doc.docs
  * Add elpa-geiser dependency to d/tests/control.
    Enable some more tests.
  * Test for ADT_TMP as well as AUTOPKGTEST_TMP.
    For compatibility with ci.debian.net
  * Drop obsolete paragraph from d/copyright.
    Upstream deleted test/specs/test-code-style.el
  * Update d/copyright information for doc/ dir.
  * Remove references to legacy manual that we don't install:
    - Extend patch-README-for-Debian.patch
    - Add remove-references-to-legacy-manual.patch
  * Add remove-todolist.patch
  * Drop patches merged upstream:
    - Update-expected-values-for-cppcheck-1.74.patch
    - pass-epg-gpg-home-directory-to-gpg-invocation.patch
    - set-C-locale-and-patch-C-and-fortran-tests.patch
    - update-expected-values-for-gcc-6.patch
    - update-expected-values-for-rustc-version-1.9.0.patch
    - update-expected-values-for-rustc-1.10.patch
    - update-perl-expected-values.patch
  * Drop obsolete patch disable-code-style-spec-test.patch.
  * Refresh patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 01 Sep 2016 17:05:33 -0700

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,24 @@
  Sean Whitton <spwhitton@spwhitton.name>,
 Build-Depends:
  dash-el,
+ elpa-f,
  debhelper (>= 9),
  dh-elpa (>= 1.0),
  elpa-buttercup (>= 1.5-2),
  elpa-let-alist,
  elpa-seq,
  elpa-shut-up,
- gnupg1,
+ haskell-mode,
+ python3-sphinx (>= 1.4.8),
+ python3-requests,
+ python3-docutils,
+ python-minimal,
+Build-Conflicts: python-sphinx
 Standards-Version: 3.9.8
 Homepage: http://flycheck.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/flycheck.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/flycheck.git/
-Testsuite: autopkgtest
+Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-flycheck
 Architecture: all
@@ -32,6 +38,7 @@
 Enhances:
  emacs,
  emacs24,
+Suggests: flycheck-doc
 Description: modern on-the-fly syntax checking for Emacs
  Flycheck uses various syntax checking and linting tools to
  automatically check the contents of buffers while the user types, and
@@ -39,3 +46,16 @@
  error list.
  .
  It is intended to replace the older Flymake which is part of Emacs core.
+
+Package: flycheck-doc
+Section: doc
+Architecture: all
+Depends: elpa-flycheck (= ${source:Version}), ${sphinxdoc:Depends}, ${misc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
+Description: modern on-the-fly syntax checking for Emacs - documentation
+ Flycheck uses various syntax checking and linting tools to
+ automatically check the contents of buffers while the user types, and
+ reports warnings and errors directly in the buffer, or in an optional
+ error list.
+ .
+ This package includes flycheck's HTML documentation.

## flycheck 31

=== Makefile ===
--- 
+++ 
@@ -29,16 +29,25 @@
 endif
 
 # Internal variables
-EMACSBATCH = $(CASK) exec $(EMACS) -Q --batch -L . $(EMACSOPTS)
+EMACSBATCH = $(EMACS) -Q --batch -L . $(EMACSOPTS)
+RUNEMACS =
 
 # Program availability
+ifdef CASK
+RUNEMACS = $(CASK) exec $(EMACSBATCH)
 HAVE_CASK := $(shell sh -c "command -v $(CASK)")
 ifndef HAVE_CASK
 $(warning "$(CASK) is not available.  Please run make help")
 endif
+else
+RUNEMACS = $(EMACSBATCH)
+endif
 HAVE_INKSCAPE := $(shell sh -c "command -v $(INKSCAPE)")
 HAVE_CONVERT := $(shell sh -c "command -v $(CONVERT)")
 HAVE_OPTIPNG := $(shell sh -c "command -v $(OPTIPNG)")
+
+RUNTEST = $(RUNEMACS) --load test/flycheck-test --load test/run.el \
+	-f flycheck-run-tests-main
 
 # Export Emacs to goals, mainly for CASK
 CASK_EMACS = $(EMACS)
@@ -52,6 +61,7 @@
 SRCS = flycheck.el flycheck-buttercup.el flycheck-ert.el
 OBJS = $(SRCS:.el=.elc)
 IMGS = doc/_static/logo.png
+TEST_SRCS = flycheck.el flycheck-ert.el test/flycheck-test.el
 
 # File rules
 flycheck-ert.elc: flycheck.elc
@@ -59,7 +69,7 @@
 flycheck-buttercup.elc: flycheck.elc
 
 $(OBJS): %.elc: %.el
-	$(EMACSBATCH) -f batch-byte-compile $<
+	$(RUNEMACS) -l maint/flycheck-compile.el -f flycheck/batch-byte-compile $<
 
 doc/_static/logo.png: flycheck.svg
 ifndef HAVE_CONVERT
@@ -87,7 +97,23 @@
 	$(MAKE) -C doc clean
 
 .PHONY: purge
+purge:
 	$(GIT) clean -xfd
+
+.PHONY: format
+format:
+	$(RUNEMACS) -l maint/flycheck-format.el -f flycheck/batch-format
+
+.PHONY: check-format
+check-format:
+	$(RUNEMACS) -l maint/flycheck-format.el -f flycheck/batch-check-format
+
+.PHONY: checkdoc
+checkdoc:
+	$(RUNEMACS) -l maint/flycheck-checkdoc.el -f flycheck/batch-checkdoc
+
+.PHONY: check
+check: check-format checkdoc
 
 .PHONY: compile
 compile: $(OBJS)
@@ -98,13 +124,11 @@
 
 .PHONY: unit
 unit: compile
-	$(EMACSBATCH) --load test/run.el -f flycheck-run-tests-main \
-		'(and (not (tag external-tool)) $(SELECTOR))'
+	$(RUNTEST) '(and (not (tag external-tool)) $(SELECTOR))'
 
 .PHONY: integ
 integ: compile
-	$(EMACSBATCH) --load test/run.el -f flycheck-run-tests-main \
-		'(and (tag external-tool) $(SELECTOR))'
+	$(RUNTEST) '(and (tag external-tool) $(SELECTOR))'
 
 .PHONY: images
 images: $(IMGS)
@@ -115,7 +139,9 @@
 	@echo ''
 	@echo 'Available targets:'
 	@echo '  init:    Initialise the project.  RUN FIRST!'
+	@echo '  check:   Check all Emacs Lisp sources (needs Emacs 25)'
 	@echo '  compile: Byte-compile Emacs Lisp sources'
+	@echo '  format:  Format all Emacs Lisp sources'
 	@echo '  specs:   Run all buttercup specs for Flycheck'
 	@echo '  unit:    Run all ERT unit tests for Flycheck (legacy)'
 	@echo '  integ:   Run all integration tests for Flycheck'

=== doc/Makefile ===
--- 
+++ 
@@ -21,7 +21,14 @@
 OPTIPNG = optipng
 BUILDDIR = _build
 
+# Whether to build offline HTML that loads no external resources, for use in 3rd
+# party packages, see https://github.com/flycheck/flycheck/issues/999
+OFFLINE =
+
 ALLSPHINXOPTS = -d $(BUILDDIR)/doctrees $(SPHINXOPTS) .
+ifdef OFFLINE
+ALLSPHINXOPTS += -Dflycheck_offline_html=1
+endif
 
 IMAGES = images/*.png
 
@@ -45,6 +52,9 @@
 	@echo ''
 	@echo 'To build the documentation you need $(SPHINXBUILD).'
 	@echo 'For *-auto targets you also need $(SPHINXAUTOBUILD).'
+	@echo ''
+	@echo 'Available make variables:'
+	@echo '  OFFLINE:  If set build HTML that loads no external resources'
 	@echo ''
 	@echo 'Available programs:'
 	@echo '  $(SPHINXBUILD): $(if $(HAVE_SPHINXBUILD),yes,no)'

=== doc/requirements.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 # Sphinx
-Sphinx>=1.3
+# 1.4.7 is broken, see https://github.com/sphinx-doc/sphinx/issues/2996
+Sphinx>=1.4,!=1.4.7
 # Automatically build documentation on changes
 sphinx-autobuild
 # Sphinx theme

=== maint/Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
 # this program.  If not, see <http://www.gnu.org/licenses/>.
 
 PYTHON = python3
+FLAKE8 = flake8
 PIP = pip3
 HAVE_PIP := $(shell sh -c "command -v $(PIP)")
 
@@ -35,6 +36,8 @@
 .PHONY: help
 help:
 	@echo 'Available targets:'
+	@echo '  init:    Install dependencies of maintenace scripts'
+	@echo '  check:   Check maintenance scripts'
 	@echo '  release: Make a Flycheck release'
 	@echo ''
 	@echo 'You need Python 3.5 for all maintenance scripts'
@@ -47,3 +50,10 @@
 .PHONY: release
 release:
 	@./release.py
+
+.PHONY: lint
+lint:
+	$(FLAKE8) ..
+
+.PHONY: check
+check: lint

=== maint/requirements.txt ===
# Network access
requests>=2.9
# Git operations
GitPython>=2.0

# Linting for our Python code
flake8>=3.0
pep8>=1.7
pep8-naming>=0.4
flake8-quotes>=0.8
flake8_docstrings>=1.0

=== debian/changelog ===
flycheck (31-1) unstable; urgency=medium

  * New upstream release (Closes: #877411).
    - Updates to d/copyright.
  * Update dependency dash-el => elpa-dash (Closes: #865910).
    Thanks to Mykola Nikishov for reporting the problem.
    - Bump dh-elpa build dependency to (>= 1.7).
      Ensures that elpa-dash is included in ${elpa:Depends}.
  * Bump debhelper build-dep to match compat.
    - Drop Lintian override package-needs-versioned-debhelper-build-depends.
  * Drop fix-flake8-expected-values.patch
    Obsoleted by upstream changes.
  * Refresh patches.
  * Bump standards version to 4.1.1 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 07 Oct 2017 08:42:58 -0700

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders:
  Sean Whitton <spwhitton@spwhitton.name>,
 Build-Depends:
- dash-el,
+ elpa-dash,
  elpa-f,
- debhelper (>= 9),
- dh-elpa (>= 1.0),
+ debhelper (>= 10),
+ dh-elpa (>= 1.7),
  elpa-buttercup (>= 1.5-2),
  elpa-let-alist,
  elpa-seq,
@@ -19,7 +19,7 @@
  python3-docutils,
  python-minimal,
 Build-Conflicts: python-sphinx
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://flycheck.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/flycheck.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/flycheck.git/
@@ -28,7 +28,6 @@
 Package: elpa-flycheck
 Architecture: all
 Depends:
- dash-el,
  emacs,
  ${elpa:Depends},
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with elpa,sphinxdoc

override_dh_installchangelogs:
	cat CHANGES.rst CHANGES.old > debian/.debhelper/changelog
	dh_installchangelogs debian/.debhelper/changelog

override_dh_auto_build:
	( cd doc && make OFFLINE=yes html )

# The file flycheck.html in the _downloads subdir is generated from
# the old texinfo manual, which is deprecated by upstream.  Don't
# install it as parts could be out-of-date
override_dh_installdocs:
	dh_installdocs --link-doc=elpa-flycheck --exclude=_downloads/flycheck.html

## flycheck 31+git.20190913.0006a592

=== debian/changelog ===
flycheck (31+git.20190913.0006a592-1) unstable; urgency=medium

  * new upstream git snapshot
  * rebase patches
    - drop unused Don-t-fail-if-stack-path-project-root-fails.patch to fix
      lintian warning
  * cleanup salsa pipeline config
  * update Standards-Version to 4.4.0 (no changes needed)
  * optimize d/control
    - Build-Depends: depend on python3 and elpa-haskell-mode
    - Enhances: drop emacs24
  * python3 in test
    - switch to py3 because py2 is going to be removed in bullseye,
      see https://wiki.debian.org/Python/2Removal
  * fix renamed lintian tag
  * skip flaky tests with ert-skip
    - refactor patches disable-sqlint-test.patch,
      disable-rpmlint-test.patch and disable-flaky-tests.patch
      into skip-sqlint-test.patch, skip-rpmlint-test.patch and
      skip-flaky-tests.patch correspondingly
    - it will make it transparent in the test report how many tests
      are actually skipped

 -- Denis Danilov <danilovdenis@yandex.ru>  Sat, 28 Sep 2019 19:52:23 +0200

flycheck (31-4) UNRELEASED; urgency=medium

  * update salsa pipeline
  * rebase and cleanup patches
  * skip flaky tests with ert-skip

 -- Denis Danilov <danilovdenis@yandex.ru>  Thu, 19 Sep 2019 07:59:54 +0200

flycheck (31-3) unstable; urgency=medium

  * Team upload.

  [ Denis Danilov ]
  * disable intersphinx and info extensions (Closes: #929232)

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 21 May 2019 13:23:38 -0700

flycheck (31-2) unstable; urgency=medium

  * enable GitLab CI at salsa.d.o
  * adopt package: remove Sean from uploaders and add myself (closes: #904240)
  * update Standards-Version to 4.3.0 (no changes required)
  * Build-Depend on debhelper-compat 12
    - drop obsolete debian/compat
    - drop --parallel from debian/rules (it is enabled by default)
  * update project homepage
  * set Vcs-* to salsa.d.o
  * cleanup Build-Depends field
    - sort the list of package
    - drop redundant pyton3-docutils and python3-requests because
      python3-sphinx itself depends on them directly

 -- Denis Danilov <danilovdenis@yandex.ru>  Thu, 03 Jan 2019 20:20:26 +0100

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,23 @@
 Section: lisp
 Priority: optional
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
-Uploaders:
- Sean Whitton <spwhitton@spwhitton.name>,
-Build-Depends:
+Uploaders: Denis Danilov <danilovdenis@yandex.ru>
+Build-Depends: debhelper-compat (= 12),
+ dh-elpa (>= 1.7),
+ elpa-buttercup (>= 1.5-2),
  elpa-dash,
  elpa-f,
- debhelper (>= 10),
- dh-elpa (>= 1.7),
- elpa-buttercup (>= 1.5-2),
  elpa-let-alist,
  elpa-seq,
  elpa-shut-up,
- haskell-mode,
+ elpa-haskell-mode,
  python3-sphinx (>= 1.4.8),
- python3-requests,
- python3-docutils,
- python-minimal,
+ python3-minimal,
 Build-Conflicts: python-sphinx
-Standards-Version: 4.1.1
-Homepage: http://flycheck.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/flycheck.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/flycheck.git/
+Standards-Version: 4.4.0
+Homepage: https://www.flycheck.org/
+Vcs-Browser: https://salsa.debian.org/emacsen-team/flycheck
+Vcs-Git: https://salsa.debian.org/emacsen-team/flycheck.git
 Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-flycheck
@@ -36,7 +32,6 @@
  emacs (>= 46.0),
 Enhances:
  emacs,
- emacs24,
 Suggests: flycheck-doc
 Description: modern on-the-fly syntax checking for Emacs
  Flycheck uses various syntax checking and linting tools to

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/flycheck-$1\.tar\.gz/ \
  https://github.com/flycheck/flycheck/tags .*/v?(\d\S*)\.tar\.gz

## flycheck 32~git.20200527.9c435db3

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+# Copyright (c) 2018 Flycheck contributors
 # Copyright (c) 2012-2016 Sebastian Wiesner and Flycheck contributors
 
 # This program is free software: you can redistribute it and/or modify it under
@@ -58,7 +59,7 @@
 .DEFAULT_GOAL = help
 
 # File lists
-SRCS = flycheck.el flycheck-buttercup.el flycheck-ert.el
+SRCS = flycheck.el flycheck-ert.el
 OBJS = $(SRCS:.el=.elc)
 IMGS = doc/_static/logo.png
 TEST_SRCS = flycheck.el flycheck-ert.el test/flycheck-test.el
@@ -153,7 +154,7 @@
 	@echo '  PATTERN:  A regular expression matching spec names to run with `specs`'
 	@echo '  SELECTOR: An ERT selector expression for `unit` and `integ`'
 	@echo '  LANGUAGE: The name of a language for `integ`.  Overrides `SELECTOR`'
-	@echo '  EMCSOPTS: Additional options to pass to `emacs`'
+	@echo '  EMACSOPTS: Additional options to pass to `emacs`'
 	@echo '  EMACS:    The path or name of the Emacs to use for tests and compilation'
 	@echo ''
 	@echo 'Available programs:'

=== doc/requirements.txt ===
# Sphinx
Sphinx>=1.6
# Automatically build documentation on changes
sphinx-autobuild
# Sphinx theme
alabaster>=0.7.8
# Syntax highlighting
Pygments>=2.1
# Network access
requests>=2.9

=== maint/Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 .PHONY: help
 help:
 	@echo 'Available targets:'
-	@echo '  init:    Install dependencies of maintenace scripts'
+	@echo '  init:    Install dependencies of maintenance scripts'
 	@echo '  check:   Check maintenance scripts'
 	@echo '  release: Make a Flycheck release'
 	@echo ''

=== debian/changelog ===
flycheck (32~git.20200527.9c435db3-4) unstable; urgency=medium

  * Team upload.
  * Define custom autopkgtest to set buttercup options (Closes: #1033697).

 -- David Bremner <bremner@debian.org>  Mon, 10 Apr 2023 12:45:16 -0300

flycheck (32~git.20200527.9c435db3-3) unstable; urgency=medium

  * Team upload.
  * d/p/fix-buttercup-tests-on-emacs-28.patch: Adjust tests for Emacs 28.
  * d/rules: Invoke buttercup disabling subr-trampolines.
    Workaround issue described at
    https://github.com/jorgenschaefer/emacs-buttercup/issues/230.
    (Closes: #1028725)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Mon, 27 Feb 2023 22:17:21 -0500

flycheck (32~git.20200527.9c435db3-2) unstable; urgency=medium

  * skip truncated-stdin-* tests
    - the tests are flaky on amd64 and ppc64el

 -- Denis Danilov <danilovdenis@yandex.ru>  Wed, 25 Nov 2020 22:37:27 +0100

flycheck (32~git.20200527.9c435db3-1) unstable; urgency=medium

  [ David Krauser ]
  * Update maintainer email address

  [ Denis Danilov ]
  * set Rules-Requires-Root: no
  * set debhelper-compat level to 13
  * Standards-Version: 4.5.0 (no changes required)
  * adopt DEP-14 recommendations
  * new upstream git snapshot from flycheck-32 branch 
  * rebase patches
  * update copyright years

 -- Denis Danilov <danilovdenis@yandex.ru>  Sun, 08 Nov 2020 19:20:03 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --parallel --with elpa,sphinxdoc
+	dh $@ --with elpa,sphinxdoc
 
 override_dh_installchangelogs:
 	cat CHANGES.rst CHANGES.old > debian/.debhelper/changelog
@@ -10,6 +10,11 @@
 override_dh_auto_build:
 	( cd doc && make OFFLINE=yes html )
 
+# Temporary workaround for
+# https://github.com/jorgenschaefer/emacs-buttercup/issues/230
+override_dh_auto_test:
+	buttercup --eval '(setq comp-enable-subr-trampolines nil)' -L .
+
 # The file flycheck.html in the _downloads subdir is generated from
 # the old texinfo manual, which is deprecated by upstream.  Don't
 # install it as parts could be out-of-date

=== debian/tests/control ===
Test-Command: buttercup --eval '(setq comp-enable-subr-trampolines nil)' -L .
Depends: @, @builddeps@
Restrictions: rw-build-tree, allow-stderr
Features: test-name=buttercup-test

## flycheck 33~git20230824.e56e30d

=== doc/requirements.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Sphinx
-Sphinx>=1.6
+Sphinx~=6.0
 # Automatically build documentation on changes
 sphinx-autobuild
 # Sphinx theme

=== debian/changelog ===
flycheck (33~git20230824.e56e30d-2) unstable; urgency=medium

  * Mark awk-gawk test as flaky, which has not been working for a while.
    Closes: #1052824.
  * Drop emacs from Recommends as it's already part of the Depends.

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 05 Oct 2023 13:43:53 -0700

flycheck (33~git20230824.e56e30d-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * Sync to latest upstream HEAD.
  * Refresh patches.
    - Drop d/p/python3-in-test.patch.  Applied upstream.
  * Update d/watch to version 4 and track master branch.
  * Build-Depends on emacs-buttercup >=1.31~ to fix compatibility with
    Emacs 29+.  Closes: #1050350, #1050404.
  * Manually clean up instead of using "$(MAKE) clean" which depends on
    Eask.
  * Adopt package and add myself to uploaders.  Closes: 1013298.

  [ Denis Danilov ]
  * Update copyright years.

  [ Denis Danilov & Xiyue Deng ]
  * Update Standards-Version to 4.6.2.
    - Drop Built-Using field.

  [ Sean Whitton ]
  * Drop test suite changes from previous two uploads.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 31 Aug 2023 15:21:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,28 @@
 Source: flycheck
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
-Uploaders: Denis Danilov <danilovdenis@yandex.ru>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
+Uploaders:
+ Denis Danilov <danilovdenis@yandex.ru>,
+ Xiyue Deng <manphiz@gmail.com>
+Build-Depends: debhelper-compat (= 13),
  dh-elpa (>= 1.7),
- elpa-buttercup (>= 1.5-2),
+ elpa-buttercup (>= 1.31~),
  elpa-dash,
  elpa-f,
  elpa-let-alist,
  elpa-seq,
  elpa-shut-up,
  elpa-haskell-mode,
- python3-sphinx (>= 1.4.8),
+ python3-sphinx,
  python3-minimal,
 Build-Conflicts: python-sphinx
-Standards-Version: 4.4.0
+Standards-Version: 4.6.2
 Homepage: https://www.flycheck.org/
 Vcs-Browser: https://salsa.debian.org/emacsen-team/flycheck
 Vcs-Git: https://salsa.debian.org/emacsen-team/flycheck.git
 Testsuite: autopkgtest-pkg-elpa
+Rules-Requires-Root: no
 
 Package: elpa-flycheck
 Architecture: all
@@ -27,9 +30,6 @@
  emacs,
  ${elpa:Depends},
  ${misc:Depends},
-Built-Using: ${misc:Built-Using}
-Recommends:
- emacs (>= 46.0),
 Enhances:
  emacs,
 Suggests: flycheck-doc
@@ -45,7 +45,6 @@
 Section: doc
 Architecture: all
 Depends: elpa-flycheck (= ${source:Version}), ${sphinxdoc:Depends}, ${misc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
 Description: modern on-the-fly syntax checking for Emacs - documentation
  Flycheck uses various syntax checking and linting tools to
  automatically check the contents of buffers while the user types, and

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa,sphinxdoc

override_dh_installchangelogs:
	cat CHANGES.rst CHANGES.old > debian/.debhelper/changelog
	dh_installchangelogs debian/.debhelper/changelog

override_dh_auto_build:
	( cd doc && make OFFLINE=yes html )

# The file flycheck.html in the _downloads subdir is generated from
# the old texinfo manual, which is deprecated by upstream.  Don't
# install it as parts could be out-of-date
override_dh_installdocs:
	dh_installdocs --link-doc=elpa-flycheck --exclude=_downloads/flycheck.html

override_dh_auto_clean:
	find . -name "*.elc" -type f -exec rm "{}" \;
	$(MAKE) -C doc clean

=== debian/watch ===
version=4
opts="mode=git, pretty=33~git%cd.%h" \
  https://github.com/flycheck/flycheck \
  HEAD debian uupdate

## flycheck 34.1

=== debian/changelog ===
flycheck (34.1-4ubuntu1) plucky; urgency=medium

  * Mark awk-gawk test as flaky again (LP: #2101938).

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Tue, 11 Mar 2025 09:04:48 +0100

flycheck (34.1-4) unstable; urgency=medium

  [ Aymeric Agon-Rambosson ]
  * Remove explicit build dependency on elpa-seq.

  [ Xiyue Deng ]
  * Update Standards-Version to 4.7.2; no change needed
  * Reformat d/control with "wrap-and-sort -ast"

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 05 Mar 2025 11:38:48 -0800

flycheck (34.1-3) unstable; urgency=medium

  * Remove Denis from uploaders per his request.  Thanks for your work,
    Denis!
  * Add patch to fix test output for Emacs 30.1
  * Update Standards-Version to 4.7.1; no change needed
  * Update section to editors

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 25 Feb 2025 15:12:53 -0800

flycheck (34.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 20:34:51 +0900

flycheck (34.1-1) unstable; urgency=medium

  * New upstream release
  * Update skipped flaky tests
  * Refresh patches
  * Drop obsolete handling in elpa-test and ert-helper.el
  * Update d/watch to track releases now that upstream releases have
    resumed
  * Update lintian overrides name:
    debian-watch-does-not-check-{,open}gpg-signature
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository-Browse
  * Add Upstream-Contact in d/copyright
  * Update copyright year for debian/* in d/copyright
  * Update Standards-Version to 4.7.0; no change needed
  * Move Emacs from Depends to Recommends in binary package
  * Add git to Build-Depends as required by Salsa CI

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 24 May 2024 01:54:19 -0700

=== debian/control ===
Source: flycheck
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
Uploaders:
 Xiyue Deng <manphiz@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-elpa (>= 1.7),
 elpa-buttercup (>= 1.31~),
 elpa-dash,
 elpa-f,
 elpa-haskell-mode,
 elpa-let-alist,
 elpa-shut-up,
 git,
 python3-minimal,
 python3-sphinx,
Build-Conflicts:
 python-sphinx,
Standards-Version: 4.7.2
Homepage: https://www.flycheck.org/
Vcs-Browser: https://salsa.debian.org/emacsen-team/flycheck
Vcs-Git: https://salsa.debian.org/emacsen-team/flycheck.git
Testsuite: autopkgtest-pkg-elpa
Rules-Requires-Root: no

Package: elpa-flycheck
Architecture: all
Depends:
 ${elpa:Depends},
 ${misc:Depends},
Recommends:
 emacs,
Enhances:
 emacs,
Suggests:
 flycheck-doc,
Description: modern on-the-fly syntax checking for Emacs
 Flycheck uses various syntax checking and linting tools to
 automatically check the contents of buffers while the user types, and
 reports warnings and errors directly in the buffer, or in an optional
 error list.
 .
 It is intended to replace the older Flymake which is part of Emacs core.

Package: flycheck-doc
Section: doc
Architecture: all
Depends:
 elpa-flycheck (= ${source:Version}),
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: modern on-the-fly syntax checking for Emacs - documentation
 Flycheck uses various syntax checking and linting tools to
 automatically check the contents of buffers while the user types, and
 reports warnings and errors directly in the buffer, or in an optional
 error list.
 .
 This package includes flycheck's HTML documentation.
